package shiroExample;

import org.apache.shiro.config.ConfigurationException;

public class tester
{
   public static void main( String[] args )
   {
      if( (args.length < 1) || (args[0] == null) )
      {
         System.out.println( "Must Specify iniFile path (Normally shiro.ini)" );
         System.exit( 1 );
      }

      String iniFile = args[0];

      try
      {
         SecurityManagerSetup.initSecurity( iniFile );
      }
      catch( ConfigurationException ce )
      {
         System.out.println( "Unable to read file " + iniFile );
         System.exit( 1 );
      }
      
      String          login    = "lonestarr";
      String          password = "vespa";
      
      SecuritySession ss       = new SecuritySession();
      SecurityError   error    = ss.login( login, password );
      
      switch( error )
      {
         case SECURITY_ERROR_NONE:
         {
        	System.out.println( "Successfully logged in as " + login );
            break;
         }
         case SECURITY_ERROR_NOT_AUTHENTICATED:
         {
        	System.out.println( "Unable to authenticate " + login );
            break;
         }
         case SECURITY_ERROR_UNKNOWN_ACCOUNT:
         {
        	System.out.println( "There is no account for " + login );
            break;
         }
         case SECURITY_ERROR_INCORRECT_CREDENTIALS:
         {
        	System.out.println( "Incorrect credentials using login " + login
        			          + "with password " + password );
            break;
         }
         case SECURITY_ERROR_LOCKED_ACCOUNT:
         {
        	System.out.println( "The account for login " + login + "is locked" );
            break;
         }
         case SECURITY_ERROR_AUTHENTICATION:
         {
        	System.out.println( "A generic authentication error occurred for "
        			          + "login " + login + "with password " + password );
            break;
         }
         default:
         {
        	System.out.println( "Invalid return code from ss.login(): error = "
        			          + error );
        	break;
         }
      }
      
      System.exit( 0 );
   }
}
